Bug 149929 - CAN-2005-0584 HTTP auth prompt tab spoofing
CAN-2005-0584 HTTP auth prompt tab spoofing
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firefox (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
impact=moderate,public=20050224
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-28 15:53 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-01 14:02:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-02-28 15:53:46 EST
The HTTP authentication prompt appears above the currently open tab regardless
of which tab triggered it. A spoofer who could get a user to open a high value
target in another tab might be able to capture the user's ID and password. HTTP
auth dialogs are visually distinct from the web form logins used by most
commercial sites, and the HTTP auth dialog clearly states which host it's for.
Exploitation of this seems unlikely.

http://www.mozilla.org/security/announce/mfsa2005-24.html
Comment 1 Josh Bressers 2005-03-01 14:02:05 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-176.html

Note You need to log in before you can comment on or make changes to this bug.